# Contribution guidelines

Thank you for your interest in contributing to the Axon Framework. To make sure using Axon is a smooth experience for
everybody, we've set up a number of guidelines to follow.

There are different ways in which you can contribute to the framework:

  1. You can report any bugs, feature requests or ideas about improvements on our issue page: http://issues.axonframework.org/.
     All ideas are welcome. Please be as exact as possible when reporting bugs. This will help us reproduce and thus solve
     the problem faster.
  1. If you have created a component for your own application that you think might be useful to include in the
     framework, send us a pull request (or patch or a zip containing the source code). We will evaluate it and try to
     fit it in the framework. Please make sure code is properly documented using javadoc. This helps us to understand
     what is going on.
  1. If you know of any other way you think you can help us, do not hesitate to send a message to the
     [Axon Framework mailinglist](axonframework@googlegroups.com).

## Code contributions

If you're contributing code, please take care of the following:

### Contributor Licence Agreement

To keep everyone out of trouble (both you and us), we require that all contributors (digitally) sign a Contributor
License Agreement. Basically, the agreement says that we may freely use the code you contribute to the Axon Framework,
and that we won't hold you liable for any unfortunate side effects that the code may cause.

To sign the CLA, visit: http://www.axonframework.org/cla. You can sign using a GitHub (preferred) or Google account.

### Code style

We're trying very hard to maintain a consistent style of coding throughout the code base. Thingk of things like
indenting using 4 spaces, putting opening brackets (the '{') on the same line and  putting proper Javadoc on all
non-private members.

If you're using IntelliJ IDEA, you can download the code style definition from
http://www.axonframework.org/axon_code_style.xml. Simply copy the file to ~/.IntelliJIdea12/config/codestyles. After
(re)starting IntelliJ, you can pick this code style from the project settings.


